Package com.avaya.clientservices.network.http

## Class NativeRequestInputStream

- java.lang.Object
- - java.io.InputStream
  - - com.avaya.clientservices.network.http.NativeRequestInputStream

- All Implemented Interfaces:
    `java.io.Closeable`, `java.lang.AutoCloseable`

      public class NativeRequestInputStream
      extends java.io.InputStream

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NativeRequestInputStream​(long requestWrapperPtr, com.avaya.clientservices.network.http.IHttpTaskHandler httpTaskHandler)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `available()` |
    `long` | `getSize()` |
    `int` | `read()` |
    `int` | `read​(byte[] b, int off, int len)` |
    `int` | `readNative​(byte[] data, int off, int len)` |

    - ### Methods inherited from class java.io.InputStream

      `close, mark, markSupported, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, skip, transferTo`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeRequestInputStream

          public NativeRequestInputStream​(long requestWrapperPtr,
                                          com.avaya.clientservices.network.http.IHttpTaskHandler httpTaskHandler)

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Specified by:
        `read` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read​(byte[] b,
                          int off,
                          int len)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

    - #### available

          public int available()
                        throws java.io.IOException

      Overrides:
        `available` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

    - #### readNative

          public int readNative​(byte[] data,
                                int off,
                                int len)

    - #### getSize

          public long getSize()